clone:
  hg:
    image: plugins/hg

pipeline:
  linter:
    image: alpine/flake8
    commands:
      - flake8
  docker:
    image: plugins/docker
    secrets: [docker_username, docker_password]
    registry: dockerhub.xcg.io
    repo: dockerhub.xcg.io/odoo_scripts/docker_build_copy
    dockerfile: Dockerfile.docker_build_copy
    tag: latest
  mattermost:
    image: plugins/slack
    channel: dev
    username: drone
    secrets: [ slack_webhook ]
    when:
      status: [ failure, success ]

